---
title: Update Contact
description: Update merchant contact details in the merchant's assigned payment domain.
---

This API will update contact details of merchant in merchant's assigned domain. We must pass airpay merchant id, username, password, secret key, sub domain, legal name, address, city, state, pin code, contact no and in request. If the request has valid details, we will get a success response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/singlepager/api/update
```

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| airpay_merchant_id  required | Numeric  <br>(1-12) | Merchant Id | `1088` |
| airpay_username  required | Alphanumeric  <br>(1-50) | Merchant Username | `userabc` |
| airpay_password  required | Alphanumeric  <br>(1-50) | Merchant Password | `passabc` |
| airpay_secret_key  required | Alphanumeric  <br>(1-100) | Merchant Secret Key | `91f5evhk72f564430912508233b7r37562g2hps` |
| subdomain  optional | Alphanumeric  <br>(1-100) | Domain name of the Merchant<br>eg. abc.nwpay.co.in |
| legal_name  required | Alphanumeric  <br>(1-100) | Merchant Business legal name | `ABC` |
| address  optional | Alphanumeric  <br>(1-100) | Merchant address |
| city  optional | Alphanumeric  <br>(1-50) | Merchant City |
| state  optional | Alphanumeric  <br>(1-50) | Merchant State |
| pincode  optional | Numeric  <br>(1-10) | Merchant Pincode |
| contact_no  optional | Numeric  <br>(1-10) | Merchant Contact Number |
| checksum  required | Alphanumeric  <br>(1-100) | Checksum<br>hash_hmac('sha256', airpay_merchant_id + airpay_username +legal_name,'91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps') | `91f5evhk72f52t21k430912508233b7r37562g2hps` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Result  required | Text | Result message<br>Success - 200 (The transaction is success)<br>Transaction in Process - 211 (The transaction is processing)<br>Failed - 400 (The transaction is failed)<br>Dropped - 401 (The transaction will not register properly)<br>Cancel - 402 (payment that has not yet been processed)<br>Incomplete - 403 (Not recieved any call back from bank)<br>Bounced - 405 (The transaction has bounced)<br>No Records - 503 (There are no records found) |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/singlepager/api/update' \
--header 'content-type: application/json' \
--header 'processor-key:91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'airpay_merchant_id=1088' \
--form 'airpay_username=userabc' \
--form 'airpay_password=passabc' \
--form 'airpay_secret_key=91f5evhk72f564430912508233b7r37562g2hps' \
--form 'subdomain=abc.nwpay.co.in' \
--form 'legal_name=' \
--form 'address=' \
--form 'city=' \
--form 'state=' \
--form 'pincode=' \
--form 'contact_no=' \
--form 'checksum=91f5evhk72f52t21k430912508233b7r37562g2hps'
```

### Success Response

```json
HTTP/1.1 200 OK
{
     "Result": "Success"
}
```

### Error Response

```json
{
    "SinglePager": {
        "Errors": {
            "10": "airpay Merchant Id Can Not Be Empty",
            "11": "airpay Merchant Id Can Not Exceed Maximun 11 Characters",
            "12": "airpay Username Can Not Be Empty",
            "13": "airpay Username Can Not Exceed Maximun 11 Characters",
            "14": "airpay Password Can Not Be Empty",
            "15": "airpay Password Can Not Exceed Maximun 11 Characters",
            "16": "airpay Secret Key Can Not Be Empty",
            "17": "airpay Secret Key Can Not Exceed Maximun 11 Characters",
            "00": "Header Aunthentication Failed, Invalid Content-Type",
            "01": "Header Aunthentication Failed, airpay-Key Can Not Be Empty",
            "02": "Header Aunthentication Failed, Invalid airpay-Key",
            "03": "Invalid Request",
            "04": "Checksum cannot be empty",
            "05": "Wrong Checksum",
            "06": "Invalid Subdomain",
            "07": "Subdomain Can Not Exceed Maximun 80 Characters",
            "08": "Business legal name cannot be empty",
            "09": "Business legal name is Invalid"
        }
    },
    "Result": "Fail"
}
```